Stratégie de version

Cette page explique le fonctionnement de la gestion des versions de Dataproc Metastore et d'Apache Hive. La gestion des versions vous permet de lier des composants Hive utiles pouvant être gérés dans un service Dataproc Metastore.

Compatibilité de la version Hive

Apache Hive suit le schéma de la gestion des versions du logiciel sémantique. Dataproc Metastore n'est compatible qu'avec les deux dernières versions stables correctives Hive pour la dernière version majeure ou mineure. Les versions correctives ne sont pas toutes compatibles.

Étant donné que Hive 2.X et 3.X sont des versions indépendantes, Dataproc Metastore les traite comme la dernière version majeure et accepte les versions Hive suivantes (les versions 2.7.6 et 3.1.2 étant considérées comme les dernières versions correctives) :

  • 3.1.2
  • 2.3.6
  • 2.2.0
  • 1.2.2

Consultez la section Téléchargements de Hive pour obtenir des informations sur les dernières versions de Hive disponibles.

Période de compatibilité avec les versions Hive

Dès que la compatibilité de Dataproc Metastore avec une version corrective de Hive est assurée, les services utilisant cette version de Hive restent compatibles pendant un certain temps. Une fois la période de compatibilité terminée, la version peut devenir obsolète et les services qui exécutent une telle version ne sont plus compatibles. La règle de compatibilité des versions de Dataproc Metastore est définie comme suit :

Mois après la publication initiale de la version Hive Nouveaux services Services existants
0-12 Compatible Compatible
12-24 Non compatible Compatible
24+ Non disponible Non disponible

Sélection de la version Hive

Lorsque vous créez un service, vous pouvez sélectionner la version du métastore Hive à utiliser dans le service. Si vous ne sélectionnez aucune version, Dataproc Metastore utilise la version 3.1.2 de Hive.